View Issue Details

IDCategoryLast Update
0002497bugs2010-03-05 15:18
ReporternowhiskeyAssigned Topaul 
Reproducibilityalways 
Status resolvedResolutionfixed 
Product VersionSVN/2.0-ongoing 
Fixed in Version 
Summary0002497: crash after export
Descriptionongoing@4333

-start jackd with -Xseq option
 'jackd -v -p1024 -t5000 -dalsa -r44100 -p1024 -n4 -D -Chw:0 -Phw:0 -s -Xseq '
-create new session
-with range tool, make one range. no need to import any audio, just do it by dragging the mouse in the master track area.
-now go ->session->export->export selection to audio file
-do the default export
-everything good
-as long as i stay in this session, everything will work and i can do an export more times
-now close the session
-open the same, or create another session
- do the same steps - creating the range and exporting the selection, ardour will crash
-every next time i try to export now with this session, or if i open/create another session, ardour will crash, until i do a reboot.
-after the reboot in the first session i do, everything will work, but from the second session i open after the reboot, every next session will crash after export.

in the moment when crash happens, jackd 'stops working' and the terminal shows:


load = 100.0000 max usecs: 706800.000, spare = 0.000
freewheeling stopped, waiting for thread
freewheel came to an end, naturally
freewheel thread has returned
client event poll on 14 for ardour starts at 659334715
back from client event poll after 431 usecs



when i stop ardour, jackd still is not continuing to work and nothing happens in the console.
'ps ax' is showing as jackd is still running,
if i now try to start ardour, it will not start, but 'ps ax' will show it running too.


attached is the backtrace i got out of this.

cheers,
doc



TagsNo tags attached.

Activities

2008-12-19 04:11

 

ardour-bt.txt (9,315 bytes)
(gdb) run
Starting program:
/home/nowhiskey/software/ardour2/2.0-ongoing/gtk2_ardour/ardour-2.7.1 
[Thread debugging using libthread_db enabled]
Ardour/GTK 2.7.1
   (kompiliert mit Version 4302 und GCC Version4.3.2)
Copyright (C) 1999-2008 Paul Davis
Einige Teile Copyright (C) Steve Harris, Ari Johnson, Brett Viren, Joel
Baker

Ardour wird Ihnen ohne jegliche Gew�#hrleistung und ausdr�#cklich ohne die
Zusicherung
f�#r allgemeine oder spezielle Gebrauchstauglichkeit zur Verf�#gung
gestellt.
Dies ist freie Software und Sie d�#rfen sie gerne weiterverbreiten,
solange Sie sich an die Bedingungen, die in der Datei COPYING aufgef�#hrt
sind halten.
[New Thread 0xb5eec6d0 (LWP 3005)]
theme_init() called from internal clearlooks engine
/usr/share/themes/Clearlooks/gtk-2.0/gtkrc:67: error: unexpected identifier
`colorize_scrollbar', expected character `}'
lade voreingestellte UI-Konfigurationsdatei
gtk2_ardour/ardour2_ui_default.conf
lade benutzerdefinierte UI-Konfigurationsdatei
/home/nowhiskey/.ardour2/ardour2_ui.conf
Loading ui configuration file gtk2_ardour/ardour2_ui_dark.rc
theme_init() called from internal clearlooks engine
ardour: [INFO]: Ardour will be limited to 1024 open files
lade System-Konfigurationsdatei ./ardour_system.rc
lade Benutzer-Konfigurationsdatei /home/nowhiskey/.ardour2/ardour.rc
ardour: [INFO]: Using SSE optimized routines
[New Thread 0xb5d6eb90 (LWP 3008)]
[New Thread 0xb556eb90 (LWP 3009)]
[New Thread 0xb4d6eb90 (LWP 3010)]
ardour: [INFO]: suche nach Controller-Protokollen in
/home/nowhiskey/.ardour2/surfaces/:/usr/local/lib/ardour2/surfaces/
ardour: [INFO]: Controller-Protokoll gefunden: "Generic MIDI"
ardour: [INFO]: Controller-Protokoll Tranzport ist nicht nutzbar
ardour: [INFO]: Controller-Protokoll gefunden: "Mackie"
powermate: Opening of powermate failed - Datei oder Verzeichnis nicht
gefunden
ardour: [INFO]: Controller-Protokoll powermate ist nicht nutzbar
[New Thread 0xb3751b90 (LWP 3012)]
[Thread 0xb3751b90 (LWP 3012) exited]
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve
property `GtkWidget::cursor-color' of type `GdkColor' from rc file value
"((GString*) 0x8b61e20)" of type `GString'
[New Thread 0xb3751b90 (LWP 3014)]
loading bindings from /home/nowhiskey/.ardour2/ardour.bindings
[New Thread 0xb2546b90 (LWP 3016)]
[New Thread 0xb1d10cb0 (LWP 3017)]
Loading session /home/nowhiskey/Ardour2/302 using snapshot 302 (2)
[New Thread 0xb1a63cb0 (LWP 3018)]
[New Thread 0xb19e8cb0 (LWP 3019)]
Lade History von '/home/nowhiskey/Ardour2/302/302.history'.
Start export at pos = 8192
Everybdy is at 8192
        Export ... not running or at end, no_roll() for 1024
^C
Program received signal SIGINT, Interrupt.
[Switching to Thread 0xb5eec6d0 (LWP 3005)]
0xb6e4d571 in read () from /lib/libpthread.so.0
(gdb) thread apply all bt
Thread 10 (Thread 0xb19e8cb0 (LWP 3019)):
#0  0xb677048d in poll () from /lib/libc.so.6
#1  0xb7f903e3 in ARDOUR::Session::midi_thread_work (this=0x90b6348) at
#libs/ardour/session_midi.cc:1223
#2  0xb7f90981 in ARDOUR::Session::_midi_thread_work (arg=0x90b6348) at
#libs/ardour/session_midi.cc:1141
#3  0xb6e46f3b in start_thread () from /lib/libpthread.so.0
#4  0xb6779b6e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xb1a63cb0 (LWP 3018)):
#0  0xb677048d in poll () from /lib/libc.so.6
#1  0xb7f2d042 in ARDOUR::Session::butler_thread_work (this=0x90b6348) at
#libs/ardour/session_butler.cc:179
#2  0xb7f2e0a9 in ARDOUR::Session::_butler_thread_work (arg=0x90b6348) at
#libs/ardour/session_butler.cc:159
#3  0xb6e46f3b in start_thread () from /lib/libpthread.so.0
#4  0xb6779b6e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xb1d10cb0 (LWP 3017)):
#0  0xb6e4dccc in nanosleep () from /lib/libpthread.so.0
#1  0xb781f412 in g_usleep () from /usr/share/qt4/lib/libglib-2.0.so.0
#2  0xb7786a6d in Glib::usleep (microseconds=10000) at
#libs/glibmm2/glibmm/timer.cc:68
#3  0xb7df11ac in ARDOUR::AudioEngine::meter_thread (this=0x8ecac48) at
#libs/ardour/audioengine.cc:434
#4  0xb7df50cf in sigc::bound_mem_functor0<void,
#ARDOUR::AudioEngine>::operator() (this=0x90b219c) at
#libs/sigc++2/sigc++/functors/mem_fun.h:1787
#5  0xb7df50f6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void,
#ARDOUR::AudioEngine> >::operator() (this=0x90b2198)
    at libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#6  0xb7df5122 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void,
ARDOUR::AudioEngine>, void>::call_it (rep=0x90b2180)
    at libs/sigc++2/sigc++/functors/slot.h:103
#7  0x08404a0a in sigc::slot0<void>::operator() (this=0x90b56c0) at
libs/sigc++2/sigc++/functors/slot.h:440
#8  0xb77a3807 in call_thread_entry_slot (data=0x90b56c0) at
libs/glibmm2/glibmm/thread.cc:43
#9  0xb781d14f in ?? () from /usr/share/qt4/lib/libglib-2.0.so.0
#10 0x090b56c0 in ?? ()
#11 0x090b2058 in ?? ()
#12 0x00000000 in ?? ()

Thread 7 (Thread 0xb2546b90 (LWP 3016)):
#0  0xb677048d in poll () from /lib/libc.so.6
#1  0xb6e61a4a in jack_client_core_wait () from /usr/local/lib/libjack.so.0
#2  0xb2546348 in ?? ()
#3  0xb67704a3 in poll () from /lib/libc.so.6
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 6 (Thread 0xb3751b90 (LWP 3014)):
#0  0xb6e4a8f0 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/libpthread.so.0
#1  0xb6e633c4 in mb_thread_func () from /usr/local/lib/libjack.so.0
#2  0xb3751b90 in ?? ()
#3  0x00000000 in ?? ()

Thread 4 (Thread 0xb4d6eb90 (LWP 3010)):
#0  0xb6e4a8f0 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/libpthread.so.0
#1  0xb77a2d85 in Glib::Cond::wait (this=0x8bba430, mutex=@0xb806e8cc) at
#libs/glibmm2/glibmm/thread.cc:362
#2  0xb7dd062b in ARDOUR::Analyser::work () at libs/ardour/analyser.cc:85
#3  0xb7dd0791 in analyser_work () at libs/ardour/analyser.cc:49
#4  0x087c8075 in sigc::pointer_functor0<void>::operator() (this=0x8bc0e54)
#at libs/sigc++2/sigc++/functors/ptr_fun.h:77
#5  0x087c808c in sigc::adaptor_functor<sigc::pointer_functor0<void>
#>::operator() (this=0x8bc0e50) at
#>libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#6  0x087c80a8 in sigc::internal::slot_call0<sigc::pointer_functor0<void>,
#void>::call_it (rep=0x8bc0e38) at libs/sigc++2/sigc++/functors/slot.h:103
#7  0x08404a0a in sigc::slot0<void>::operator() (this=0x8bba618) at
#libs/sigc++2/sigc++/functors/slot.h:440
#8  0xb77a3807 in call_thread_entry_slot (data=0x8bba618) at
#libs/glibmm2/glibmm/thread.cc:43
#9  0xb781d14f in ?? () from /usr/share/qt4/lib/libglib-2.0.so.0
#10 0x08bba618 in ?? ()
#11 0x08bc0e60 in ?? ()
#12 0x00000000 in ?? ()

Thread 3 (Thread 0xb556eb90 (LWP 3009)):
#0  0xb6e4a8f0 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/libpthread.so.0
#1  0xb77a2d85 in Glib::Cond::wait (this=0x8bae7d8, mutex=@0xb806eda4) at
#libs/glibmm2/glibmm/thread.cc:362
#2  0xb7fce022 in peak_thread_work () at libs/ardour/source_factory.cc:65
#3  0x087c8075 in sigc::pointer_functor0<void>::operator() (this=0x8bba4a4)
#at libs/sigc++2/sigc++/functors/ptr_fun.h:77
#4  0x087c808c in sigc::adaptor_functor<sigc::pointer_functor0<void>
#>::operator() (this=0x8bba4a0) at
#>libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#5  0x087c80a8 in sigc::internal::slot_call0<sigc::pointer_functor0<void>,
#void>::call_it (rep=0x8bba488) at libs/sigc++2/sigc++/functors/slot.h:103
#6  0x08404a0a in sigc::slot0<void>::operator() (this=0x8bba478) at
#libs/sigc++2/sigc++/functors/slot.h:440
#7  0xb77a3807 in call_thread_entry_slot (data=0x8bba478) at
#libs/glibmm2/glibmm/thread.cc:43
#8  0xb781d14f in ?? () from /usr/share/qt4/lib/libglib-2.0.so.0
#9  0x08bba478 in ?? ()
#10 0x08bba4b0 in ?? ()
#11 0x00000000 in ?? ()

Thread 2 (Thread 0xb5d6eb90 (LWP 3008)):
#0  0xb6e4a8f0 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/libpthread.so.0
#1  0xb77a2d85 in Glib::Cond::wait (this=0x8bae7d8, mutex=@0xb806eda4) at
#libs/glibmm2/glibmm/thread.cc:362
#2  0xb7fce022 in peak_thread_work () at libs/ardour/source_factory.cc:65
#3  0x087c8075 in sigc::pointer_functor0<void>::operator() (this=0x8bba31c)
#at libs/sigc++2/sigc++/functors/ptr_fun.h:77
#4  0x087c808c in sigc::adaptor_functor<sigc::pointer_functor0<void>
#>::operator() (this=0x8bba318) at
#>libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#5  0x087c80a8 in sigc::internal::slot_call0<sigc::pointer_functor0<void>,
#void>::call_it (rep=0x8bba300) at libs/sigc++2/sigc++/functors/slot.h:103
#6  0x08404a0a in sigc::slot0<void>::operator() (this=0x8bba200) at
#libs/sigc++2/sigc++/functors/slot.h:440
#7  0xb77a3807 in call_thread_entry_slot (data=0x8bba200) at
#libs/glibmm2/glibmm/thread.cc:43
#8  0xb781d14f in ?? () from /usr/share/qt4/lib/libglib-2.0.so.0
#9  0x08bba200 in ?? ()
#10 0x08bba328 in ?? ()
#11 0x00015080 in ?? ()
#12 0x00000005 in ?? ()
#13 0xb66b6b9c in ?? () from /lib/libc.so.6
#14 0xb6e55ff4 in ?? () from /lib/libpthread.so.0
#15 0xb6e48280 in ?? () from /lib/libpthread.so.0
#16 0xb6e55ff4 in ?? () from /lib/libpthread.so.0
#17 0xb5d6eb90 in ?? ()
#18 0x00000000 in ?? ()

Thread 1 (Thread 0xb5eec6d0 (LWP 3005)):
#0  0xb6e4d571 in read () from /lib/libpthread.so.0
#1  0xb6e6184f in oop_client_deliver_request () from
#/usr/local/lib/libjack.so.0
#2  0x0000000c in ?? ()
#3  0xbff882d6 in ?? ()
#4  0x00001432 in ?? ()
#5  0xb725ee51 in ?? () from /usr/share/qt4/lib/libcairo.so.2
#6  0xb6e49d20 in ?? () from /lib/libpthread.so.0
#7  0x00000000 in ?? ()
(gdb) 
ardour-bt.txt (9,315 bytes)

nowhiskey

2008-12-23 13:49

reporter   ~0005544

with sampos help on irc i am realizing that here ardour is not crashing, but just freezing and becoming unresponsive.
i also found out, that when ardour becomes unresponsive and jackd stopps working as described above, i can go to the console where i started jackd, hit 'ctrl+c', (i have to do this 3 times for jackd to stop).
at this moment ardour will give the 'disconnected' pop up, and the ardour gui is responsive again. if i now restart jackd and do menu->jack->reconnect in ardour, everything will work again, except that the same issue will appear if i try to do an export again.

cheers,
doc

2008-12-23 16:00

 

jackd03 (5,122 bytes)
 back from subgraph poll, revents = 0x1



jack: 2964:593055029 engine.c:jack_process_external:793: reading byte from
subgraph_wait_fd==14
jack: [New Thread 0xb5cb0b90 (LWP 2965)]
2964:593055036 engine.c:jack_engine_freewheel:2003: release graph lock
jack: 2945:593055075 engine.c:handle_external_client_request:1412: release
graph lock
jack: 2945:593055081 engine.c:do_request:1218: got a request of type 18
freewheeling stopped, waiting for thread
freewheel came to an end, naturally
freewheel thread has returned
jack: 2945:593067035 engine.c:jack_deliver_event_to_all:2411: acquiring
graph read lock
jack: 2945:593067045 engine.c:jack_deliver_event:2454: delivering event
(type 10)
jack: 2945:593067049 engine.c:jack_deliver_event:2467: client alsa_pcm is
still alive
jack: 2945:593067052 engine.c:jack_deliver_event:2631: event delivered
jack: 2945:593067056 engine.c:jack_deliver_event:2454: delivering event
(type 10)
jack: 2945:593067062 engine.c:jack_deliver_event:2467: client ardour is
still alive
jack: 2945:593067065 engine.c:jack_deliver_event:2523: engine writing on
event fd
client event poll on 16 for ardour starts at 593067077
jack: 2945:593067189 engine.c:jack_deliver_event:2558: 




 back from client event poll, revents = 0x1



back from client event poll after 117 usecs
jack: 2945:593067196 engine.c:jack_deliver_event:2574: client event poll ok!
jack: 2945:593067201 engine.c:jack_deliver_event:2631: event delivered
jack: 2945:593067204 engine.c:jack_deliver_event_to_all:2417: release graph
lock
^Cjack main caught signal 2
starting server engine shutdown
stopping driver
^C
Program received signal SIGINT, Interrupt.
[Switching to Thread 0xb7e7e6b0 (LWP 2941)]
0xb80111b4 in __lll_lock_wait () from /lib/libpthread.so.0
(gdb) thread apply all bt

Thread 7 (Thread 0xb5cb0b90 (LWP 2965)):
#0  0xb80111b4 in __lll_lock_wait () from /lib/libpthread.so.0
#1  0xb800c9e5 in _L_lock_89 () from /lib/libpthread.so.0
#2  0xb800c2f2 in pthread_mutex_lock () from /lib/libpthread.so.0
#3  0xb803e400 in jack_driver_nt_thread (arg=0x804de40) at
#../libjack/driver.c:117
#4  0xb800af3b in start_thread () from /lib/libpthread.so.0
#5  0xb7f4ab6e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xb759bb90 (LWP 2945)):
#0  0xb80111b4 in __lll_lock_wait () from /lib/libpthread.so.0
#1  0xb800c9e5 in _L_lock_89 () from /lib/libpthread.so.0
#2  0xb800c2f2 in pthread_mutex_lock () from /lib/libpthread.so.0
#3  0xb802efc3 in do_request (engine=0x8060ab0, req=0xb75985a6,
#reply_fd=0x0) at engine.c:1216
#4  0xb802f5ac in internal_client_request (ptr=0x8060ab0,
#request=0xb75985a6) at engine.c:1356
#5  0xb803a163 in jack_client_deliver_request (client=0x8064db0,
#req=0xb75985a6) at ../libjack/client.c:276
#6  0xb803f5f3 in jack_port_register (client=0x8064db0, port_name=0x80a55a8
#"ardour/midi_capture_1", port_type=0xb807709d "8 bit raw midi", flags=2,
#buffer_size=0)
    at ../libjack/port.c:250
#7  0xb807386a in port_create (self=0x804d5d8, type=0, addr={client = 129
'\201', port = 0 '\0'}, info=0xb7599b90) at ../alsa-midi/alsa_seqmidi.c:512
#8  0xb8073b14 in update_port_type (self=0x804d5d8, type=0, addr={client =
129 '\201', port = 0 '\0'}, caps=99, info=0xb7599b90) at
#../alsa-midi/alsa_seqmidi.c:565
#9  0xb8073b97 in update_port (self=0x804d5d8, addr={client = 129 '\201',
#port = 0 '\0'}, info=0xb7599b90) at ../alsa-midi/alsa_seqmidi.c:577
#10 0xb8073f2c in add_existing_ports (self=0x804d5d8) at
#../alsa-midi/alsa_seqmidi.c:650
#11 0xb80732f1 in alsa_seqmidi_start (m=0x804d5d8) at
#../alsa-midi/alsa_seqmidi.c:364
#12 0xb8068f6e in alsa_driver_start (driver=0x804de40) at alsa_driver.c:1003
#13 0xb803e537 in jack_driver_nt_start (driver=0x804de40) at
#../libjack/driver.c:161
#14 0xb80312fd in jack_stop_freewheeling (engine=0x8060ab0) at engine.c:2083
#15 0xb802f29f in do_request (engine=0x8060ab0, req=0xb7599ebe,
#reply_fd=0xb7599eb8) at engine.c:1304
#16 0xb802f760 in handle_external_client_request (engine=0x8060ab0, fd=15)
#at engine.c:1413
#17 0xb802fe74 in jack_server_thread (arg=0x8060ab0) at engine.c:1563
#18 0xb800af3b in start_thread () from /lib/libpthread.so.0
#19 0xb7f4ab6e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb7e7db90 (LWP 2944)):
#0  0xb800e8f0 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/libpthread.so.0
#1  0xb803eee4 in mb_thread_func (arg=0x0) at ../libjack/messagebuffer.c:70
#2  0xb800af3b in start_thread () from /lib/libpthread.so.0
#3  0xb7f4ab6e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7e7e6b0 (LWP 2941)):
#0  0xb80111b4 in __lll_lock_wait () from /lib/libpthread.so.0
#1  0xb800c9e5 in _L_lock_89 () from /lib/libpthread.so.0
#2  0xb800c2f2 in pthread_mutex_lock () from /lib/libpthread.so.0
#3  0xb803e5ad in jack_driver_nt_do_stop (driver=0x804de40, run=1) at
#../libjack/driver.c:181
#4  0xb803e67e in jack_driver_nt_stop (driver=0x804de40) at
#../libjack/driver.c:206
#5  0xb8031f09 in jack_engine_delete (engine=0x8060ab0) at engine.c:2329
#6  0x0804a26e in jack_main (driver_desc=0x804e8f8, driver_params=0x804e1f8)
#at jackd.c:217
#7  0x0804afa1 in main (argc=13, argv=0xbfb99204) at jackd.c:728
(gdb)    
jackd03 (5,122 bytes)

nowhiskey

2008-12-23 16:01

reporter   ~0005545

attached is another bt produced with jackd running inside of gdb.
see file jackd03.

cheers,
doc

2008-12-23 16:19

 

ardour02 (8,613 bytes)
jack: 3058:1396391048 client.c:jack_client_process_events:1315: process
events
jack: 3058:1397392023 client.c:jack_client_core_wait:1468:
pfd[EVENT].revents = 0x0 pfd[WAIT].revents = 0x0
jack: 3058:1397392043 client.c:jack_client_process_events:1315: process
events
^Z
Program received signal SIGTSTP, Stopped (user).
[Switching to Thread 0xb5d7f6d0 (LWP 3047)]
0xb6ce0571 in read () from /lib/libpthread.so.0
(gdb) thread apply all bt
 
Thread 10 (Thread 0xb187dcb0 (LWP 3061)):
#0  0xb660348d in poll () from /lib/libc.so.6
#1  0xb7e223e3 in ARDOUR::Session::midi_thread_work (this=0x90bddb8) at
#libs/ardour/session_midi.cc:1223
#2  0xb7e22981 in ARDOUR::Session::_midi_thread_work (arg=0x90bddb8) at
#libs/ardour/session_midi.cc:1141
#3  0xb6cd9f3b in start_thread () from /lib/libpthread.so.0
#4  0xb660cb6e in clone () from /lib/libc.so.6
 
Thread 9 (Thread 0xb18f8cb0 (LWP 3060)):
#0  0xb660348d in poll () from /lib/libc.so.6
#1  0xb7dbf042 in ARDOUR::Session::butler_thread_work (this=0x90bddb8) at
#libs/ardour/session_butler.cc:179
#2  0xb7dc00a9 in ARDOUR::Session::_butler_thread_work (arg=0x90bddb8) at
#libs/ardour/session_butler.cc:159
#3  0xb6cd9f3b in start_thread () from /lib/libpthread.so.0
#4  0xb660cb6e in clone () from /lib/libc.so.6
 
Thread 8 (Thread 0xb1ba5cb0 (LWP 3059)):
#0  0xb6ce0ccc in nanosleep () from /lib/libpthread.so.0
#1  0xb76b1412 in g_usleep () from /usr/share/qt4/lib/libglib-2.0.so.0
#2  0xb7618a6d in Glib::usleep (microseconds=10000) at
#libs/glibmm2/glibmm/timer.cc:68
#3  0xb7c831ac in ARDOUR::AudioEngine::meter_thread (this=0x8ee0bd8) at
#libs/ardour/audioengine.cc:434
#4  0xb7c870cf in sigc::bound_mem_functor0<void,
#ARDOUR::AudioEngine>::operator() (this=0x90b1e74) at
#libs/sigc++2/sigc++/functors/mem_fun.h:1787
#5  0xb7c870f6 in sigc::adaptor_functor<sigc::bound_mem_functor0<void,
#ARDOUR::AudioEngine> >::operator() (this=0x90b1e70)
    at libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#6  0xb7c87122 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void,
ARDOUR::AudioEngine>, void>::call_it (rep=0x90b1e58)
    at libs/sigc++2/sigc++/functors/slot.h:103
#7  0x08404a0a in sigc::slot0<void>::operator() (this=0x90adc30) at
libs/sigc++2/sigc++/functors/slot.h:440
#8  0xb7635807 in call_thread_entry_slot (data=0x90adc30) at
libs/glibmm2/glibmm/thread.cc:43
#9  0xb76af14f in ?? () from /usr/share/qt4/lib/libglib-2.0.so.0
#10 0x090adc30 in ?? ()
#11 0x090b1c88 in ?? ()
#12 0x00000000 in ?? ()
 
Thread 7 (Thread 0xb23dbb90 (LWP 3058)):
#0  0xb660348d in poll () from /lib/libc.so.6
#1  0xb6cf438b in jack_client_core_wait (client=0x8ee0fd0) at client.c:1444
#2  0xb6cf4aa5 in jack_thread_wait (client=0x8ee0fd0, status=0) at
#client.c:1616
#3  0xb6cf4e9b in jack_client_thread_aux (arg=0x8ee0fd0) at client.c:1731
#4  0xb6cf4fec in jack_client_thread (arg=0x8ee0fd0) at client.c:1767
#5  0xb6cd9f3b in start_thread () from /lib/libpthread.so.0
#6  0xb660cb6e in clone () from /lib/libc.so.6
 
Thread 6 (Thread 0xb34eeb90 (LWP 3056)):
#0  0xb6cdd8f0 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/libpthread.so.0
#1  0xb6cf65f4 in mb_thread_func (arg=0x0) at messagebuffer.c:70
#2  0xb6cd9f3b in start_thread () from /lib/libpthread.so.0
#3  0xb660cb6e in clone () from /lib/libc.so.6
 
Thread 4 (Thread 0xb4b05b90 (LWP 3052)):
#0  0xb6cdd8f0 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/libpthread.so.0
#1  0xb7634d85 in Glib::Cond::wait (this=0x8bda180, mutex=@0xb7f008cc) at
#libs/glibmm2/glibmm/thread.cc:362
#2  0xb7c6262b in ARDOUR::Analyser::work () at libs/ardour/analyser.cc:85
#3  0xb7c62791 in analyser_work () at libs/ardour/analyser.cc:49
#4  0x087c8075 in sigc::pointer_functor0<void>::operator() (this=0x8bda1f4)
#at libs/sigc++2/sigc++/functors/ptr_fun.h:77
#5  0x087c808c in sigc::adaptor_functor<sigc::pointer_functor0<void>
#>::operator() (this=0x8bda1f0) at
#>libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#6  0x087c80a8 in sigc::internal::slot_call0<sigc::pointer_functor0<void>,
#void>::call_it (rep=0x8bda1d8) at libs/sigc++2/sigc++/functors/slot.h:103
#7  0x08404a0a in sigc::slot0<void>::operator() (this=0x8bda1c8) at
#libs/sigc++2/sigc++/functors/slot.h:440
#8  0xb7635807 in call_thread_entry_slot (data=0x8bda1c8) at
#libs/glibmm2/glibmm/thread.cc:43
#9  0xb76af14f in ?? () from /usr/share/qt4/lib/libglib-2.0.so.0
#10 0x08bda1c8 in ?? ()
#11 0x08bda200 in ?? ()
#12 0x00000000 in ?? ()
 
Thread 3 (Thread 0xb5305b90 (LWP 3051)):
#0  0xb6cdd8f0 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/libpthread.so.0
#1  0xb7634d85 in Glib::Cond::wait (this=0x8bc7b70, mutex=@0xb7f00da4) at
#libs/glibmm2/glibmm/thread.cc:362
#2  0xb7e60022 in peak_thread_work () at libs/ardour/source_factory.cc:65
#3  0x087c8075 in sigc::pointer_functor0<void>::operator() (this=0x8bd3834)
#at libs/sigc++2/sigc++/functors/ptr_fun.h:77
#4  0x087c808c in sigc::adaptor_functor<sigc::pointer_functor0<void>
#>::operator() (this=0x8bd3830) at
#>libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#5  0x087c80a8 in sigc::internal::slot_call0<sigc::pointer_functor0<void>,
#void>::call_it (rep=0x8bd3818) at libs/sigc++2/sigc++/functors/slot.h:103
#6  0x08404a0a in sigc::slot0<void>::operator() (this=0x8bd3808) at
#libs/sigc++2/sigc++/functors/slot.h:440
#7  0xb7635807 in call_thread_entry_slot (data=0x8bd3808) at
#libs/glibmm2/glibmm/thread.cc:43
#8  0xb76af14f in ?? () from /usr/share/qt4/lib/libglib-2.0.so.0
#9  0x08bd3808 in ?? ()
#10 0x08bd3840 in ?? ()
#11 0x00000000 in ?? ()
 
Thread 2 (Thread 0xb5b05b90 (LWP 3050)):
#0  0xb6cdd8f0 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/libpthread.so.0
#1  0xb7634d85 in Glib::Cond::wait (this=0x8bc7b70, mutex=@0xb7f00da4) at
#libs/glibmm2/glibmm/thread.cc:362
#2  0xb7e60022 in peak_thread_work () at libs/ardour/source_factory.cc:65
#3  0x087c8075 in sigc::pointer_functor0<void>::operator() (this=0x8bd359c)
#at libs/sigc++2/sigc++/functors/ptr_fun.h:77
#4  0x087c808c in sigc::adaptor_functor<sigc::pointer_functor0<void>
#>::operator() (this=0x8bd3598) at
#>libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#5  0x087c80a8 in sigc::internal::slot_call0<sigc::pointer_functor0<void>,
#void>::call_it (rep=0x8bd3580) at libs/sigc++2/sigc++/functors/slot.h:103
#6  0x08404a0a in sigc::slot0<void>::operator() (this=0x8bd3570) at
#libs/sigc++2/sigc++/functors/slot.h:440
#7  0xb7635807 in call_thread_entry_slot (data=0x8bd3570) at
#libs/glibmm2/glibmm/thread.cc:43
#8  0xb76af14f in ?? () from /usr/share/qt4/lib/libglib-2.0.so.0
#9  0x08bd3570 in ?? ()
#10 0x08bd3680 in ?? ()
#11 0x00015080 in ?? ()
#12 0x00000005 in ?? ()
#13 0xb6549b9c in ?? () from /lib/libc.so.6
#14 0xb6ce8ff4 in ?? () from /lib/libpthread.so.0
#15 0xb6cdb280 in ?? () from /lib/libpthread.so.0
#16 0xb6ce8ff4 in ?? () from /lib/libpthread.so.0
#17 0xb5b05b90 in ?? ()
#18 0x00000000 in ?? ()
 
Thread 1 (Thread 0xb5d7f6d0 (LWP 3047)):
#0  0xb6ce0571 in read () from /lib/libpthread.so.0
#1  0xb6cf1d4e in oop_client_deliver_request (ptr=0x8ee0fd0, req=0xbfa1bd42)
#at client.c:245
#2  0xb6cf1e2b in jack_client_deliver_request (client=0x8ee0fd0,
#req=0xbfa1bd42) at client.c:276
#3  0xb6cf3d42 in jack_set_freewheel (client=0x8ee0fd0, onoff=0) at
#client.c:1247
#4  0xb7c816cb in ARDOUR::AudioEngine::freewheel (this=0x8ee0bd8,
#onoff=false) at libs/ardour/audioengine.cc:1021
#5  0xb7e1c623 in ARDOUR::Session::finalize_audio_export (this=0x90bddb8) at
#libs/ardour/session_export.cc:671
#6  0x0867b832 in ExportDialog::end_dialog (this=0x9289f00) at
#gtk2_ardour/export_dialog.cc:1044
#7  0x08680636 in ExportDialog::do_export (this=0x9289f00) at
#gtk2_ardour/export_dialog.cc:1014
#8  0x08690b39 in sigc::bound_mem_functor0<void, ExportDialog>::operator()
#(this=0x92a2e7c) at libs/sigc++2/sigc++/functors/mem_fun.h:1787
#9  0x08690b50 in sigc::adaptor_functor<sigc::bound_mem_functor0<void,
#ExportDialog> >::operator() (this=0x92a2e78) at
#libs/sigc++2/sigc++/adaptors/adaptor_trait.h:251
#10 0x08690b6c in sigc::internal::slot_call0<sigc::bound_mem_functor0<void,
#ExportDialog>, void>::call_it (rep=0x92a2e60) at
#libs/sigc++2/sigc++/functors/slot.h:103
#11 0x08404a0a in sigc::slot0<void>::operator() (this=0x92a2e4c) at
#libs/sigc++2/sigc++/functors/slot.h:440
#12 0xb7636c7d in Glib::SignalProxyNormal::slot0_void_callback
#(self=0x92836f8, data=0x92a2e48) at libs/glibmm2/glibmm/signalproxy.cc:95
#13 0xb7730054 in g_cclosure_marshal_VOID__VOID () from
#/usr/share/qt4/lib/libgobject-2.0.so.0
#14 0xb772290b in g_closure_invoke () from
#/usr/share/qt4/lib/libgobject-2.0.so.0
#15 0xb77363a0 in ?? () from /usr/share/qt4/lib/libgobject-2.0.so.0
#16 0x092a2ea8 in ?? ()
#17 0x00000000 in ?? ()
ardour02 (8,613 bytes)

nowhiskey

2008-12-23 16:21

reporter   ~0005546

attached is another bt produced with ardour runnning ./ardbg.
see file ardour02.


cheers,
doc

paul

2009-01-15 21:20

administrator   ~0005614

what version of JACK is involved here?

nowhiskey

2009-01-15 22:48

reporter   ~0005615

this is all with jackd-0.116.1

cheers,
doc

WestCoastSuccess

2009-01-17 21:43

reporter   ~0005617

I'm having a similar issue on export: works fine until, typically, the 3 min mark of the song, at which point qjackctl and ardour stop responding, exactly as described above - they don't crash, just freeze. I have to manually kill qjackctl and jackd - it's not enough to simply force quit. The exported track is fine until the point qjackctl/ardour freeze up. I've tested this on several songs.

Interestingly, when using qjackctl, exporting takes about 8 seconds per second of song, such that a 4 min song takes about 32 mins to export (assuming it got beyond 3 mins). That, coupled with the freezing issue, made me try simply starting ardour from the command line without running qjackctl. As I understand it, ardour starts its own jackd session. Exporting worked fine, and it happened in real time, meaning the 4 min song took 4 mins to export - perfect!

When using just ardour without qjackctl, I set it up to use alsa. Ordinarily, I use qjackctl and the freebob drivers for my firewire input (m-audio firewire solo), since ffado doesn't seem to work for me and an ardour session alone only allows for ffado, not freebob. In this case, since I just needed to export, I didn't need the firewire driver. That's an acceptable workaround for my purposes.

I'm using:

qjackctl: 0.3.1a
jackd: 0.109.2-1ubuntu1 from the ubuntu repository
ardour: 2.5 built from revision 3525
OS: ubuntu hardy heron
CPU: AMD X2 6400+ @3.2Ghz
RAM: 4Gb DDR2 800
HDD: 3 X 320GB in a RAID 0 array. Ardour runs from a different partition than the recording sessions.

Please let me know if there's any other info I can contribute.

thorgal

2009-01-20 15:13

reporter   ~0005620

I've also experienced short lived GUI freezes, usually about 10 to 20 secs. Sometimes, I saw the transport shuttle not move from start to say 10 or 20 sec after I pressed the export button. Sometimes, this behavior is at the end, when the shuttle reaches the end marker. But every time, the exported file was fine, just ardour and qjackctl reported as "not responding" during the freeze. But it's not because there's a GUI freeze that nothing happens for I can hear disk activity during the freeze AND, when the GUI freeze occurs at the start of the export, I see lots of activity in Jamin (I export with a jamin insert on the master bus). This behavior has been rare lately (I use jackdmp svn@3253 and ardour 2.7.1 svn@latest). Another thing : I never ever had a transport running either slower than realtime or as fast as real time. It always was faster (freewheeling). A 4mn song takes much less than 4mn to export, and the contrary would annoy me greatly :lol:

cth103

2009-10-29 00:12

administrator   ~0006928

I can't reproduce the original report here. Is it (or anything similar) still an issue?

nowhiskey

2009-10-29 02:35

reporter   ~0006960

hallo,
i only had time for short checking this and the behavior is still pretty the same.
feel free to tell me any idea what next to try.

cheers,
doc

cth103

2009-10-29 11:10

administrator   ~0006963

OK, thanks, I'll take a more detailed look. Are you still using JACK 0.116.1?

nowhiskey

2010-03-05 11:43

reporter   ~0007400

obviously i am using jack 0.118.0 now and this issue does not appears any more.
the report can be closed.

cheers,
doc

paul

2010-03-05 15:18

administrator   ~0007401

see notes.

Issue History

Date Modified Username Field Change
2008-12-19 04:11 nowhiskey New Issue
2008-12-19 04:11 nowhiskey File Added: ardour-bt.txt
2008-12-23 13:49 nowhiskey Note Added: 0005544
2008-12-23 16:00 nowhiskey File Added: jackd03
2008-12-23 16:01 nowhiskey Note Added: 0005545
2008-12-23 16:19 nowhiskey File Added: ardour02
2008-12-23 16:21 nowhiskey Note Added: 0005546
2009-01-15 21:20 paul Note Added: 0005614
2009-01-15 22:48 nowhiskey Note Added: 0005615
2009-01-17 21:43 WestCoastSuccess Note Added: 0005617
2009-01-20 15:13 thorgal Note Added: 0005620
2009-10-29 00:12 cth103 Note Added: 0006928
2009-10-29 00:12 cth103 Status new => feedback
2009-10-29 02:35 nowhiskey Note Added: 0006960
2009-10-29 11:10 cth103 Note Added: 0006963
2009-10-29 11:10 cth103 Status feedback => acknowledged
2010-03-05 11:43 nowhiskey Note Added: 0007400
2010-03-05 15:18 paul cost => 0.00
2010-03-05 15:18 paul Note Added: 0007401
2010-03-05 15:18 paul Status acknowledged => resolved
2010-03-05 15:18 paul Resolution open => fixed
2010-03-05 15:18 paul Assigned To => paul